import { createContext, useReducer } from 'react';
import {dayStartUtcFormat, nextDayStartUtcFormat} from "../../utils/timeFormatUtil";
import dayjs from "dayjs";

// 创建一个 context
export const MyRootContext = createContext();
export const UPDATE_SEARCH = "UPDATE_SEARCH";
// 定义初始状态和 reducer 函数
const initialState = {"search":{
        "pageSize": 20,
        "pageNumber": 1,
        "data": {
            "orSearchModel": {
                "andList": [
                    {"name": "state", "value": "8,9", "operateType": "IN"},
                ],
                "andSearchModel": {
                    "andList": [
                        {
                            "name": "expectedStartTime",
                            "value": nextDayStartUtcFormat(dayjs()),
                            "operateType": "<"
                        },
                        {
                            "name": "expectedEndTime",
                            "value": dayStartUtcFormat(dayjs()),
                            "operateType": ">"
                        }
                    ],
                    "orSearchModel": {
                        "andList": [
                            {
                                "name": "expectedStartTime",
                                "value": nextDayStartUtcFormat(dayjs()),
                                "operateType": "<"
                            },
                            {
                                "name": "expectedStartTime",
                                "value": dayStartUtcFormat(dayjs()),
                                "operateType": ">"
                            },
                            {
                                "name": "expectedEndTime",
                                "value": dayStartUtcFormat(dayjs()),
                                "operateType": "NULL"
                            }
                        ],
                        "orSearchModel": {
                            "andList": [
                                {
                                    "name": "expectedEndTime",
                                    "value": nextDayStartUtcFormat(dayjs()),
                                    "operateType": "<"
                                },
                                {
                                    "name": "expectedEndTime",
                                    "value": dayStartUtcFormat(dayjs()),
                                    "operateType": ">"
                                },
                                {
                                    "name": "expectedStartTime",
                                    "value": dayStartUtcFormat(dayjs()),
                                    "operateType": "NULL"
                                }
                            ],
                        }
                    }
                },
            },
            "andList": [
                {"name": "state", "value": "10", "operateType": "="}
            ]
        }
    }};
function reducer(state, action) {
    switch (action.type) {
        case UPDATE_SEARCH:
            return { ...state, search:action.search};
        case 'decrement':
            return { count: state.count - 1 };
        default:
            throw new Error();
    }
}

// 创建一个 Provider 组件
export function MyRootProvider({ children }) {
    const [state, dispatch] = useReducer(reducer, initialState);
    return (
        <MyRootContext.Provider value={{ state, dispatch }}>
            {children}
        </MyRootContext.Provider>
    );
}