import {Fragment, useEffect, useMemo, useState} from "react";
import {Card, Cascader, CascaderView} from "antd-mobile";
import {getTaskByPid} from "../../utils";

export default ()=>{
    const [valueToOptions, setValueToOptions] = useState([])
    const options = useMemo(() => {
        function generate(v) {
            const options = valueToOptions[v]
            if (options === null) {
                return undefined
            }
            if (options === undefined) {
                return Cascader.optionSkeleton
            }
            return options.map(option => ({
                ...option,
                children: generate(option.value),
            }))
        }
        return generate('0') ?? []
    }, [valueToOptions])
    async function fetchOptionsForValue(v, level) {
        if (v in valueToOptions) return
        // if (level >= 3) {
        //     setValueToOptions(prev => ({
        //         ...prev,
        //         [v]: null,
        //     }))
        //     return
        // }
        const data = await getTaskByPid(v)
        console.log("await getTaskByPid(v)",data.content)
        const options =
            data.content.length === 0
                ? null
                : data.content.map(task => ({
                    value: task.id,
                    label: task.name,
                }))
        console.log("await getTaskByPid(v) options",options)
        setValueToOptions(prev => ({
            ...prev,
            [v]: options,
        }))
    }

    useEffect(() => {
        fetchOptionsForValue('0', 0)
    }, [])
    return <Fragment>
        <Card title='任务名称'>
            任务详情
        </Card>
        <CascaderView options={options} />
    </Fragment>
}