import {requestUtil} from "./requestUtil";

export const getTaskList = (data) => {
    let request = encodeURI(JSON.stringify(data))
    return requestUtil.get('/todo-server/V2/search/task_message_tree?search=' + request);
}
// 根据pid获取未完成的任务
export const getTaskByPid = (pid) => {
    return requestUtil.get('/todo-server/search/task_message_tree?search=%7B%22pageSize%22%3A1000%2C%22pageNumber%22%3A1%2C%22data%22%3A%5B%7B%22name%22%3A%22pid%22%2C%22value%22%3A%22' + pid + '%22%2C%22operateType%22%3A%22%3D%22%7D%5D%7D');
}

export const getTaskCount = (startDate, endDate) => {
    return requestUtil.get(`/todo-server/task/taskCount?startDate=${startDate}&endDate=${endDate}`);
}

export const getTaskById = (id) => {
    let request = encodeURI(`{"data":[{"name":"id","value":"${id}","operateType":"="}]}`)
    return requestUtil.get('/todo-server/search/task_message_tree?search=' + request);
}

export const updateTaskStateById = (state, id) => {
    let request = {
        "updateColumnList": [{"name": "state", "value": state, "operateType": "="}],
        "conditionColumnList": [{"name": "id", "value": id, "operateType": "="}]
    }
    return requestUtil.put('/todo-server/search/task_message_tree', request);
}
export const deleteTaskById = (id) => {
    let request = {
        "updateColumnList": [{"name": "deleteFlag", "value": "1", "operateType": "="}],
        "conditionColumnList": [{"name": "id", "value": id, "operateType": "="}]
    }
    return requestUtil.put('/todo-server/search/task_message_tree', request);
}
export const addTask = async (entity) => {
    // 使用 Axios 发送 POST 请求添加数据
    return await requestUtil.post('/todo-server/task', entity);
}
export const updateTask = async (entity) => {
    // 使用 Axios 发送 PUT 请求添加数据
    return await requestUtil.put('/todo-server/task', entity);
}
export const getPTask = (id) => {
    return requestUtil.get(`/todo-server/task/parent?ids=${id}`)
}