import axios from "axios";
import Cookies from "js-cookie";
import {Toast} from "antd-mobile";

export const requestUtil = axios.create({
    baseURL: 'http://www.huaruyu.com/',
    timeout: 10000,
    // headers: {'Authorization': 'Bearer eyJraWQiOiJjZDE5YjcxYy05ZDkwLTQyY2EtOGM5NC02YmMyNWY4YTdmNjgiLCJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJzaGl4aWFvaHVhIiwic3ViIjoie1wiaWRcIjpcIjM2OTg0Nzc3MTAxODAzNTIwXCIsXCJuaWNrbmFtZVwiOlwi5biI5pmT5Y2OXCIsXCJ1c2VybmFtZVwiOlwic2hpeGlhb2h1YVwifSJ9.3Wu8VMAuk59WP_EIRGX6hVp1ShuvYiAwFmvE6CGe5zA_9AzvUVMyRGWWcEQQzuU3BlZ14cV8-9b_g9_tZepQE_mSlDn0yJ92jB3ATxFPsAdcC5m2o7UY6spUs3zrlJ7v99Gtd6YzzUZvk0JTPjJCIpSi5-_PtIcOmZEkjgLwa2fnOj8eh9U3B2YdQ6p8J8r1ZeNfSMlzFuIyVcLFR-ftDz3Gr6wbs3fPgh03GqevL-HKyTCku2Fb9oYWis4UYDYQFfEVYVLzocsS3DpKyeq8BGxRRqQkSXsodDaO2piib-60Zp5WOg6hQb0n9utH-fQDVU5hIhUYkAbKkGDmTrnyqg'}
});
requestUtil.interceptors.request.use(function (config){
    // 从本地存储中获取 token
    const token = localStorage.getItem('platform-security');
    let platform = Cookies.get('platform-security');
    if (token) {
        // config.headers.Authorization123 = `Bearer ${token}`;
        config.headers.Authorization = `Bearer ${token}`;
    }else if (platform){
        config.headers.Authorization = `Bearer ${platform}`;
    }
    return config;
})
// 添加响应拦截器
requestUtil.interceptors.response.use(function (response) {
    // 2xx 范围内的状态码都会触发该函数。
    // 对响应数据做点什么
    console.log("response",response);
    if (response.data.status.code !== 200){
        Toast.show({
            content: 'response.data.status.message',
            afterClose: () => {
                console.log('after')
            },
        })
    }
    return response.data.data;
}, function (error) {
    // 超出 2xx 范围的状态码都会触发该函数。
    // 对响应错误做点什么
    Toast.show({
        content: error.toString(),
        afterClose: () => {
            console.log('after')
        },
    })
    if (error.response.status >= 400 && error.response.status <= 500) {
        window.location.href = '/login';
    }
    return Promise.reject(error);
});